%define upstream_name et_xmlfile

Name:       python-%{upstream_name}
Version:    1.0.1
Release:    %mkrel 3
Summary:    An implementation of lxml.xmlfile for the standard library
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/et-xmlfile/
Source0:    https://files.pythonhosted.org/packages/22/28/a99c42aea746e18382ad9fb36f64c1c1f04216f41797f2f0fa567da11388/%{upstream_name}-%{version}.tar.gz
BuildArch:  noarch

%description
et_xmlfile is a low memory library for creating large XML files.

%package -n     python3-%{upstream_name}
Summary:        A Python library to read/write Excel 2010 xlsx/xlsm files
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
et_xmlfile is a low memory library for creating large XML files.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/et_xmlfile
%{python3_sitelib}/et_xmlfile-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.0.1-3.mga8
+ Revision: 1608270
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sat Apr 18 2020 guillomovitch <guillomovitch> 1.0.1-1.mga8
+ Revision: 1569119
- imported package python-et_xmlfile

